<?php

namespace WSCOMUN\WSBDC;

use SoapClient;
use Exception;


include_once('class/WSBDC_Wrctersipbdc.php');
include_once('class/WSBDC_WtipoTablaTexto.php');
include_once('class/WSBDC_WtipoTercero.php');
include_once('class/WSBDC_Wrinserciones02.php');
include_once('class/WSBDC_WtdDomicilioC.php');
include_once('class/WSBDC_WtipoClaveCuenta.php');
include_once('class/WSBDC_WtipoClaveTercero.php');
include_once('class/WSBDC_WrdomiciliosS.php');
include_once('class/WSBDC_WtdTablaDomicilioS.php');
include_once('class/WSBDC_WtdDomicilioS.php');
include_once('class/WSBDC_WrcSucursales.php');
include_once('class/WSBDC_WtdTablaSucursal.php');
include_once('class/WSBDC_WtdSucursal.php');
include_once('class/WSBDC_WrcErroresAdicionales.php');
include_once('class/WSBDC_WtipoTablaErrorAdi.php');
include_once('class/WSBDC_WtipoErrorAdicional.php');
include_once('class/WSBDC_Wrconsolic1.php');
include_once('class/WSBDC_WrcConsultarSolicitud.php');
include_once('class/WSBDC_WrIbanCtanac.php');
include_once('class/WSBDC_Wrcteranagrama.php');
include_once('class/WSBDC_Wrsustitutos.php');
include_once('class/WSBDC_WrCtanacIban.php');
include_once('class/WSBDC_WtipoCuentaGnral.php');
include_once('class/WSBDC_WrcBancoNombre.php');
include_once('class/WSBDC_WtdTablaBanco.php');
include_once('class/WSBDC_WtdBanco.php');
include_once('class/WSBDC_Wrctersip.php');
include_once('class/WSBDC_Wyterce32tabla.php');
include_once('class/WSBDC_Wyterce32.php');
include_once('class/WSBDC_Wytercecftabla.php');
include_once('class/WSBDC_Wytercecf.php');
include_once('class/WSBDC_WrcCuentasTercero.php');
include_once('class/WSBDC_WtipoTablaCuentaGnral.php');
include_once('class/WSBDC_WrdomiciliosC.php');
include_once('class/WSBDC_WtdTablaDomicilioC.php');
include_once('class/WSBDC_WrcDatosTerceroNif.php');
include_once('class/WSBDC_WtipoTablaTercero.php');
include_once('class/WSBDC_Wrcterglobal.php');
include_once('class/WSBDC_WtipoTablaTerceroBaja.php');
include_once('class/WSBDC_WtipoTerceroBaja.php');
include_once('class/WSBDC_WrcDatosMunicipioCodigo.php');
include_once('class/WSBDC_WtipoMunicipio.php');
include_once('class/WSBDC_WrcLog.php');
include_once('class/WSBDC_WtipoTablaBitacora.php');
include_once('class/WSBDC_WtipoBitacora.php');
include_once('class/WSBDC_WrcDatosTerceroXtendid.php');
include_once('class/WSBDC_WrcDatosProvinciaCodigo.php');
include_once('class/WSBDC_WtipoProvincia.php');
include_once('class/WSBDC_WrcSucursalCodigo.php');
include_once('class/WSBDC_WrcBancoCodigo.php');
include_once('class/WSBDC_WrcEstadoFichero.php');
include_once('class/WSBDC_WtipoEstadistica.php');
include_once('class/WSBDC_WtipoTablaResultado.php');
include_once('class/WSBDC_WtipoResultado.php');
include_once('class/WSBDC_WrcDatosPais.php');
include_once('class/WSBDC_WtipoPais.php');
include_once('class/WSBDC_WrcDatosNucleos.php');
include_once('class/WSBDC_WtipoTablaNucleo.php');
include_once('class/WSBDC_WtipoNucleo.php');
include_once('class/WSBDC_WrcErroresOracle.php');
include_once('class/WSBDC_WtipoErrorOracle.php');
include_once('class/WSBDC_WrcNombresIguales.php');
include_once('class/WSBDC_Wrcdel0001.php');
include_once('class/WSBDC_WtipoDelegacionAeat.php');
include_once('class/WSBDC_WrcDatosTercero.php');
include_once('class/WSBDC_WrcDatosProvincias.php');
include_once('class/WSBDC_WtipoTablaProvincia.php');
include_once('class/WSBDC_WrcDatosMunicipios.php');
include_once('class/WSBDC_WtipoTablaMunicipio.php');
include_once('class/WSBDC_WrcDatosNucleoCodigo.php');
include_once('class/WSBDC_WrcCalcularficticio.php');
include_once('class/WSBDC_WrcValidarNif.php');
include_once('class/WSBDC_Wrcondomfiscal.php');
include_once('class/WSBDC_Wrcondom1.php');
include_once('class/WSBDC_Wranagramas.php');

/**
 * Clase que implementa los WS de la BDC @link http://prugvaapli.ha.gva.es:6969/WS_BDC/WSBDC.WebServicios.
 * El WSDL de PRE se encuentra en 'http://prugvaapli.ha.gva.es:6969/WS_BDC/WSBDC.WebServicios?wsdl' no requiere de WSSecurity
 * @author dpascual
 *
 */
class WSBDCWebServicios extends SoapClient
{

	/**
	 * @var array $classmap Clases de MAPEO
	 * @access private
	*/
	private static $classmap = array
	(
		'WSBDC_Wrctersipbdc'			=> '\WSCOMUN\WSBDC\WSBDC_Wrctersipbdc',
		'WSBDC_WtipoTablaTexto' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaTexto',
		'WSBDC_WtipoTercero' 			=> '\WSCOMUN\WSBDC\WSBDC_WtipoTercero',
		'WSBDC_Wrinserciones02' 		=> '\WSCOMUN\WSBDC\WSBDC_Wrinserciones02',
		'WSBDC_WtdDomicilioC' 			=> '\WSCOMUN\WSBDC\WSBDC_WtdDomicilioC',
		'WSBDC_WtipoClaveCuenta' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoClaveCuenta',
		'WSBDC_WtipoClaveTercero' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero',
		'WSBDC_WrdomiciliosS' 			=> '\WSCOMUN\WSBDC\WSBDC_WrdomiciliosS',
		'WSBDC_WtdTablaDomicilioS' 		=> '\WSCOMUN\WSBDC\WSBDC_WtdTablaDomicilioS',
		'WSBDC_WtdDomicilioS' 			=> '\WSCOMUN\WSBDC\WSBDC_WtdDomicilioS',
		'WSBDC_WrcSucursales' 			=> '\WSCOMUN\WSBDC\WSBDC_WrcSucursales',
		'WSBDC_WtdTablaSucursal' 		=> '\WSCOMUN\WSBDC\WSBDC_WtdTablaSucursal',
		'WSBDC_WtdSucursal' 			=> '\WSCOMUN\WSBDC\WSBDC_WtdSucursal',
		'WSBDC_WrcErroresAdicionales' 	=> '\WSCOMUN\WSBDC\WSBDC_WrcErroresAdicionales',
		'WSBDC_WtipoTablaErrorAdi' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaErrorAdi',
		'WSBDC_WtipoErrorAdicional' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoErrorAdicional',
		'WSBDC_Wrconsolic1' 			=> '\WSCOMUN\WSBDC\WSBDC_Wrconsolic1',
		'WSBDC_WrcConsultarSolicitud' 	=> '\WSCOMUN\WSBDC\WSBDC_WrcConsultarSolicitud',
		'WSBDC_WrIbanCtanac' 			=> '\WSCOMUN\WSBDC\WSBDC_WrIbanCtanac',
		'WSBDC_Wrcteranagrama' 			=> '\WSCOMUN\WSBDC\WSBDC_Wrcteranagrama',
		'WSBDC_Wrsustitutos' 			=> '\WSCOMUN\WSBDC\WSBDC_Wrsustitutos',
		'WSBDC_WrCtanacIban' 			=> '\WSCOMUN\WSBDC\WSBDC_WrCtanacIban',
		'WSBDC_WtipoCuentaGnral' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoCuentaGnral',
		'WSBDC_WrcBancoNombre' 			=> '\WSCOMUN\WSBDC\WSBDC_WrcBancoNombre',
		'WSBDC_WtdTablaBanco' 			=> '\WSCOMUN\WSBDC\WSBDC_WtdTablaBanco',
		'WSBDC_WtdBanco' 				=> '\WSCOMUN\WSBDC\WSBDC_WtdBanco',
		'WSBDC_Wrctersip' 				=> '\WSCOMUN\WSBDC\WSBDC_Wrctersip',
		'WSBDC_Wyterce32tabla' 			=> '\WSCOMUN\WSBDC\WSBDC_Wyterce32tabla',
		'WSBDC_Wyterce32' 				=> '\WSCOMUN\WSBDC\WSBDC_Wyterce32',
		'WSBDC_Wytercecftabla' 			=> '\WSCOMUN\WSBDC\WSBDC_Wytercecftabla',
		'WSBDC_Wytercecf' 				=> '\WSCOMUN\WSBDC\WSBDC_Wytercecf',
		'WSBDC_WrcCuentasTercero' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcCuentasTercero',
		'WSBDC_WtipoTablaCuentaGnral' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaCuentaGnral',
		'WSBDC_WrdomiciliosC' 			=> '\WSCOMUN\WSBDC\WSBDC_WrdomiciliosC',
		'WSBDC_WtdTablaDomicilioC' 		=> '\WSCOMUN\WSBDC\WSBDC_WtdTablaDomicilioC',
		'WSBDC_WrcDatosTerceroNif' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosTerceroNif',
		'WSBDC_WtipoTablaTercero' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaTercero',
		'WSBDC_Wrcterglobal' 			=> '\WSCOMUN\WSBDC\WSBDC_Wrcterglobal',
		'WSBDC_WtipoTablaTerceroBaja' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaTerceroBaja',
		'WSBDC_WtipoTerceroBaja' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoTerceroBaja',
		'WSBDC_WrcDatosMunicipioCodigo' => '\WSCOMUN\WSBDC\WSBDC_WrcDatosMunicipioCodigo',
		'WSBDC_WtipoMunicipio' 			=> '\WSCOMUN\WSBDC\WSBDC_WtipoMunicipio',
		'WSBDC_WrcLog' 					=> '\WSCOMUN\WSBDC\WSBDC_WrcLog',
		'WSBDC_WtipoTablaBitacora' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaBitacora',
		'WSBDC_WtipoBitacora' 			=> '\WSCOMUN\WSBDC\WSBDC_WtipoBitacora',
		'WSBDC_WrcDatosTerceroXtendid' 	=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosTerceroXtendid',
		'WSBDC_WrcDatosProvinciaCodigo' => '\WSCOMUN\WSBDC\WSBDC_WrcDatosProvinciaCodigo',
		'WSBDC_WtipoProvincia' 			=> '\WSCOMUN\WSBDC\WSBDC_WtipoProvincia',
		'WSBDC_WrcSucursalCodigo' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcSucursalCodigo',
		'WSBDC_WrcBancoCodigo' 			=> '\WSCOMUN\WSBDC\WSBDC_WrcBancoCodigo',
		'WSBDC_WrcEstadoFichero' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcEstadoFichero',
		'WSBDC_WtipoEstadistica' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoEstadistica',
		'WSBDC_WtipoTablaResultado' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaResultado',
		'WSBDC_WtipoResultado' 			=> '\WSCOMUN\WSBDC\WSBDC_WtipoResultado',
		'WSBDC_WrcDatosPais' 			=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosPais',
		'WSBDC_WtipoPais' 				=> '\WSCOMUN\WSBDC\WSBDC_WtipoPais',
		'WSBDC_WrcDatosNucleos' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosNucleos',
		'WSBDC_WtipoTablaNucleo' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaNucleo',
		'WSBDC_WtipoNucleo' 			=> '\WSCOMUN\WSBDC\WSBDC_WtipoNucleo',
		'WSBDC_WrcErroresOracle' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcErroresOracle',
		'WSBDC_WtipoErrorOracle' 		=> '\WSCOMUN\WSBDC\WSBDC_WtipoErrorOracle',
		'WSBDC_WrcNombresIguales' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcNombresIguales',
		'WSBDC_Wrcdel0001' 				=> '\WSCOMUN\WSBDC\WSBDC_Wrcdel0001',
		'WSBDC_WtipoDelegacionAeat' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoDelegacionAeat',
		'WSBDC_WrcDatosTercero' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosTercero',
		'WSBDC_WrcDatosProvincias' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosProvincias',
		'WSBDC_WtipoTablaProvincia' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaProvincia',
		'WSBDC_WrcDatosMunicipios' 		=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosMunicipios',
		'WSBDC_WtipoTablaMunicipio' 	=> '\WSCOMUN\WSBDC\WSBDC_WtipoTablaMunicipio',
		'WSBDC_WrcDatosNucleoCodigo' 	=> '\WSCOMUN\WSBDC\WSBDC_WrcDatosNucleoCodigo',
		'WSBDC_WrcCalcularficticio' 	=> '\WSCOMUN\WSBDC\WSBDC_WrcCalcularficticio',
		'WSBDC_WrcValidarNif' 			=> '\WSCOMUN\WSBDC\WSBDC_WrcValidarNif',
		'WSBDC_Wrcondomfiscal' 			=> '\WSCOMUN\WSBDC\WSBDC_Wrcondomfiscal',
		'WSBDC_Wrcondom1' 				=> '\WSCOMUN\WSBDC\WSBDC_Wrcondom1',
		'WSBDC_Wranagramas' 			=> '\WSCOMUN\WSBDC\WSBDC_Wranagramas'
	);


	/**
	 * @param array $options Opciones del cliente SOAP
	 * @param string $wsdl Ubicacin del WSDL
	 * @access public
	 */
	public function __construct(array $options = array(), $wsdl)
	{
		if (empty($wsdl))
		{
			throw new Exception(__CLASS__.'::'.__METHOD__.' Falta el WSDL de la BDC');
		}

		foreach (self::$classmap as $key => $value)
		{
			if (!isset($options['classmap'][$key]))
			{
				$options['classmap'][$key] = $value;
			}
  		}
		parent::__construct($wsdl, $options);
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodent
	 * @param string $pNif
	 * @param string $pTabla
	 * @param string $pTipodocumento
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrctersipbdc
	 */
	public function wctersipbdc($pUsuario, $pPasword, $pCodent, $pNif, $pTabla, $pTipodocumento)
	{
		return $this->__soapCall('wctersipbdc', array($pUsuario, $pPasword, $pCodent, $pNif, $pTabla, $pTipodocumento));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoTercero $pTercero
	 * @param float $pTimeout
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrinserciones02
	 */
	public function winsertar_tercero_online($pUsuario, $pPassword, WSBDC_WtipoTercero $pTercero, $pTimeout)
	{
		return $this->__soapCall('winsertar_tercero_online', array($pUsuario, $pPassword, $pTercero, $pTimeout));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveCuenta $pClavecta
	 * @access public
	 * @return float
	 */
	public function wc_validar_cuenta($pUsuario, $pPassword, WSBDC_WtipoClaveCuenta $pClavecta)
	{
		return $this->__soapCall('wc_validar_cuenta', array($pUsuario, $pPassword, $pClavecta));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrdomiciliosS
	 */
	public function wdomicilios_tercero_s($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter)
	{
		return $this->__soapCall('wdomicilios_tercero_s', array($pUsuario, $pPassword, $pClaveter));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcSucursales
	 */
	public function wc_sucursal_nombre($pUsuario, $pPasword, $pPatron)
	{
		return $this->__soapCall('wc_sucursal_nombre', array($pUsuario, $pPasword, $pPatron));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param float $pCodsol
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcErroresAdicionales
	 */
	public function wc_errores_adicionales($pUsuario, $pPasword, $pCodsol)
	{
		return $this->__soapCall('wc_errores_adicionales', array($pUsuario, $pPasword, $pCodsol));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param float $pCodsol
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrconsolic1
	 */
	public function wconsultar_solicitud_completo($pUsuario, $pPassword, $pCodsol)
	{
		return $this->__soapCall('wconsultar_solicitud_completo', array($pUsuario, $pPassword, $pCodsol));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param float $pCodsol
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcConsultarSolicitud
	 */
	public function wc_consultar_solicitud($pUsuario, $pPassword, $pCodsol)
	{
		return $this->__soapCall('wc_consultar_solicitud', array($pUsuario, $pPassword, $pCodsol));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pCtaban
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrIbanCtanac
	 */
	public function wobtener_iban_ctanacional($pUsuario, $pPassword, $pCtaban)
	{
		return $this->__soapCall('wobtener_iban_ctanacional', array($pUsuario, $pPassword, $pCtaban));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCif
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrcteranagrama
	 */
	public function wcficasociado($pUsuario, $pPasword, $pCif)
	{
		return $this->__soapCall('wcficasociado', array($pUsuario, $pPasword, $pCif));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @param string $pFecha Cadena de tiempo (representacin en formato xsd:dateTime)
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrsustitutos
	 */
	public function wctersustituido($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter, $pFecha)
	{
		return $this->__soapCall('wctersustituido', array($pUsuario, $pPassword, $pClaveter, $pFecha));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pIban
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrCtanacIban
	 */
	public function wobtener_ctanacional_iban($pUsuario, $pPassword, $pIban)
	{
		return $this->__soapCall('wobtener_ctanacional_iban', array($pUsuario, $pPassword, $pIban));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcBancoNombre
	 */
	public function wc_banco_nombre($pUsuario, $pPasword, $pPatron)
	{
		return $this->__soapCall('wc_banco_nombre', array($pUsuario, $pPasword, $pPatron));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodent
	 * @param string $pNif
	 * @param string $pTabla
	 * @param string $pTipodocumento
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrctersip
	 */
	public function wctersip($pUsuario, $pPasword, $pCodent, $pNif, $pTabla, $pTipodocumento)
	{
		return $this->__soapCall('wctersip', array($pUsuario, $pPasword, $pCodent, $pNif, $pTabla, $pTipodocumento));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @param string $pBajas
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcCuentasTercero
	 */
	public function wcctater_gnral($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter, $pBajas)
	{
		return $this->__soapCall('wcctater_gnral', array($pUsuario, $pPassword, $pClaveter, $pBajas));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @param string $pBajas
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrdomiciliosC
	 */
	public function wdomicilios_tercero_01($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter, $pBajas)
	{
		return $this->__soapCall('wdomicilios_tercero_01', array($pUsuario, $pPassword, $pClaveter, $pBajas));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosTerceroNif
	 */
	public function wcdatos_tercero_nombre($pUsuario, $pPassword, $pPatron)
	{
		return $this->__soapCall('wcdatos_tercero_nombre', array($pUsuario, $pPassword, $pPatron));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCif
	 * @param string $pNombre
	 * @param string $pBajas
	 * @param string $pSustitutos
	 * @param string $pDocumentales
	 * @param string $pOtros
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrcterglobal
	 */
	public function wcterglobal($pUsuario, $pPasword, $pCif, $pNombre, $pBajas, $pSustitutos, $pDocumentales, $pOtros)
	{
		return $this->__soapCall('wcterglobal', array($pUsuario, $pPasword, $pCif, $pNombre, $pBajas, $pSustitutos, $pDocumentales, $pOtros));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pNif
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosTerceroNif
	 */
	public function wc_datos_tercero_nif($pUsuario, $pPassword, $pNif)
	{
		return $this->__soapCall('wc_datos_tercero_nif', array($pUsuario, $pPassword, $pNif));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodmuni
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosMunicipioCodigo
	 */
	public function wc_datos_municipio_codigo($pUsuario, $pPasword, $pCodmuni)
	{
		return $this->__soapCall('wc_datos_municipio_codigo', array($pUsuario, $pPasword, $pCodmuni));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pFecha Cadena de tiempo (representacin en formato xsd:dateTime)
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcLog
	 */
	public function wc_log_ultimas_modificaciones($pUsuario, $pPassword, $pFecha)
	{
		return $this->__soapCall('wc_log_ultimas_modificaciones', array($pUsuario, $pPassword, $pFecha));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pIban
	 * @access public
	 * @return float
	 */
	public function wvalidar_iban($pUsuario, $pPassword, $pIban)
	{
		return $this->__soapCall('wvalidar_iban', array($pUsuario, $pPassword, $pIban));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @param string $pBajas
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrdomiciliosS
	 */
	public function wdomicilios_tercero_02($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter, $pBajas)
	{
		return $this->__soapCall('wdomicilios_tercero_02', array($pUsuario, $pPassword, $pClaveter, $pBajas));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrdomiciliosC
	 */
	public function wdomicilios_tercero_c($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter)
	{
		return $this->__soapCall('wdomicilios_tercero_c', array($pUsuario, $pPassword, $pClaveter));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosTerceroXtendid
	 */
	public function wcdatos_tercero_nombre_xtendid($pUsuario, $pPassword, $pPatron)
	{
		return $this->__soapCall('wcdatos_tercero_nombre_xtendid', array($pUsuario, $pPassword, $pPatron));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodprov
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosProvinciaCodigo
	 */
	public function wc_datos_provincia_codigo($pUsuario, $pPasword, $pCodprov)
	{
		return $this->__soapCall('wc_datos_provincia_codigo', array($pUsuario, $pPasword, $pCodprov));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodbanco
	 * @param string $pCodsucursal
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcSucursalCodigo
	 */
	public function wc_sucursal_codigo($pUsuario, $pPasword, $pCodbanco, $pCodsucursal)
	{
		return $this->__soapCall('wc_sucursal_codigo', array($pUsuario, $pPasword, $pCodbanco, $pCodsucursal));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodbanco
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcBancoCodigo
	 */
	public function wc_banco_codigo($pUsuario, $pPasword, $pCodbanco)
	{
		return $this->__soapCall('wc_banco_codigo', array($pUsuario, $pPasword, $pCodbanco));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveTercero
	 * @param string $pNombre
	 * @param float $pTimeout
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrinserciones02
	 */
	public function winsertar_terceros_online($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveTercero, $pNombre, $pTimeout)
	{
		return $this->__soapCall('winsertar_terceros_online', array($pUsuario, $pPassword, $pClaveTercero, $pNombre, $pTimeout));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pClavefic
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcEstadoFichero
	 */
	public function wc_estado_fichero($pUsuario, $pPasword, $pClavefic)
	{
		return $this->__soapCall('wc_estado_fichero', array($pUsuario, $pPasword, $pClavefic));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pNif
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosTerceroXtendid
	 */
	public function wcdatos_tercero_nif_xtendid($pUsuario, $pPassword, $pNif)
	{
		return $this->__soapCall('wcdatos_tercero_nif_xtendid', array($pUsuario, $pPassword, $pNif));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCif
	 * @param string $pNombre
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrcteranagrama
	 */
	public function wcteranagrama($pUsuario, $pPasword, $pCif, $pNombre)
	{
		return $this->__soapCall('wcteranagrama', array($pUsuario, $pPasword, $pCif, $pNombre));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodpais
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosPais
	 */
	public function wc_datos_pais($pUsuario, $pPasword, $pCodpais)
	{
		return $this->__soapCall('wc_datos_pais', array($pUsuario, $pPasword, $pCodpais));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodmuni
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosNucleos
	 */
	public function wc_datos_nucleo_municipio($pUsuario, $pPasword, $pCodmuni)
	{
		return $this->__soapCall('wc_datos_nucleo_municipio', array($pUsuario, $pPasword, $pCodmuni));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pNumero
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcErroresOracle
	 */
	public function wc_errores_oracle($pUsuario, $pPasword, $pNumero)
	{
		return $this->__soapCall('wc_errores_oracle', array($pUsuario, $pPasword, $pNumero));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pNom1
	 * @param string $pNom2
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcNombresIguales
	 */
	public function wc_nombres_iguales($pUsuario, $pPasword, $pNom1, $pNom2)
	{
		return $this->__soapCall('wc_nombres_iguales', array($pUsuario, $pPasword, $pNom1, $pNom2));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCoddeleg
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrcdel0001
	 */
	public function wcdel0001($pUsuario, $pPasword, $pCoddeleg)
	{
		return $this->__soapCall('wcdel0001', array($pUsuario, $pPasword, $pCoddeleg));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveTercero
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosTercero
	 */
	public function wc_datos_tercero($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveTercero)
	{
		return $this->__soapCall('wc_datos_tercero', array($pUsuario, $pPassword, $pClaveTercero));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosProvincias
	 */
	public function wc_datos_provincia_nombre($pUsuario, $pPasword, $pPatron)
	{
		return $this->__soapCall('wc_datos_provincia_nombre', array($pUsuario, $pPasword, $pPatron));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodprov
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosMunicipios
	 */
	public function wc_datos_municipio_provincia($pUsuario, $pPasword, $pCodprov)
	{
		return $this->__soapCall('wc_datos_municipio_provincia', array($pUsuario, $pPasword, $pCodprov));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosMunicipios
	 */
	public function wc_datos_municipio_nombre($pUsuario, $pPasword, $pPatron)
	{
		return $this->__soapCall('wc_datos_municipio_nombre', array($pUsuario, $pPasword, $pPatron));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodnucleo
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosNucleoCodigo
	 */
	public function wc_datos_nucleo_codigo($pUsuario, $pPasword, $pCodnucleo)
	{
		return $this->__soapCall('wc_datos_nucleo_codigo', array($pUsuario, $pPasword, $pCodnucleo));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pCodbanco
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcSucursales
	 */
	public function wc_sucursales_banco($pUsuario, $pPasword, $pCodbanco)
	{
		return $this->__soapCall('wc_sucursales_banco', array($pUsuario, $pPasword, $pCodbanco));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pNombre
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcCalcularficticio
	 */
	public function wc_calcular_nif_ficticio($pUsuario, $pPasword, $pNombre)
	{
		return $this->__soapCall('wc_calcular_nif_ficticio', array($pUsuario, $pPasword, $pNombre));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @access public
	 * @return float
	 */
	public function wc_verificar_usuario($pUsuario, $pPasword)
	{
		return $this->__soapCall('wc_verificar_usuario', array($pUsuario, $pPasword));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pFecha Cadena de tiempo (representacin en formato xsd:dateTime)
	 * @param float $pMinimo
	 * @param float $pMaximo
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcLog
	 */
	public function wclogrango($pUsuario, $pPassword, $pFecha, $pMinimo, $pMaximo)
	{
		return $this->__soapCall('wclogrango', array($pUsuario, $pPassword, $pFecha, $pMinimo, $pMaximo));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pNif
	 * @param string $pTerin
	 * @param string $pDocin
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcValidarNif
	 */
	public function wc_validar_nif($pUsuario, $pPasword, $pNif, $pTerin, $pDocin)
	{
		return $this->__soapCall('wc_validar_nif', array($pUsuario, $pPasword, $pNif, $pTerin, $pDocin));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param \WSCOMUN\WSBDC\WSBDC_WtipoClaveTercero $pClaveter
	 * @param string $pFecha Cadena de tiempo (representacin en formato xsd:dateTime)
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrsustitutos
	 */
	public function wctersustituto($pUsuario, $pPassword, WSBDC_WtipoClaveTercero $pClaveter, $pFecha)
	{
		return $this->__soapCall('wctersustituto', array($pUsuario, $pPassword, $pClaveter, $pFecha));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pNif
	 * @param string $pNombre
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrcondomfiscal
	 */
	public function wdomicilio_fiscal($pUsuario, $pPassword, $pNif, $pNombre)
	{
		return $this->__soapCall('wdomicilio_fiscal', array($pUsuario, $pPassword, $pNif, $pNombre));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param float $pClavedom
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wrcondom1
	 */
	public function wconsultar_domicilio($pUsuario, $pPassword, $pClavedom)
	{
		return $this->__soapCall('wconsultar_domicilio', array($pUsuario, $pPassword, $pClavedom));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPassword
	 * @param string $pNombre
	 * @param string $pNif
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_Wranagramas
	 */
	public function wc_anagrama_tercero($pUsuario, $pPassword, $pNombre, $pNif)
	{
		return $this->__soapCall('wc_anagrama_tercero', array($pUsuario, $pPassword, $pNombre, $pNif));
	}

	/**
	 * @param string $pUsuario
	 * @param string $pPasword
	 * @param string $pPatron
	 * @access public
	 * @return \WSCOMUN\WSBDC\WSBDC_WrcDatosNucleos
	 */
	public function wc_datos_nucleo_nombre($pUsuario, $pPasword, $pPatron)
	{
		return $this->__soapCall('wc_datos_nucleo_nombre', array($pUsuario, $pPasword, $pPatron));
	}

}
